## OGMRipChooserList

OGMRipChooserList — A widget that displays a list of source choosers

## Functions

GtkWidget * | ogmrip_chooser_list_new ()
void | ogmrip_chooser_list_add ()
void | ogmrip_chooser_list_remove ()
void | ogmrip_chooser_list_clear ()
void | ogmrip_chooser_list_foreach ()
gint | ogmrip_chooser_list_length ()
GtkWidget * | ogmrip_chooser_list_nth ()
void | ogmrip_chooser_list_set_max ()
gint | ogmrip_chooser_list_get_max ()

## Signals

void | more-clicked | No Hooks

## Types and Values

| OGMRipChooserListPriv
struct | OGMRipChooserList

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── OGMRipChooserList

## Implemented Interfaces

OGMRipChooserList implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <ogmrip-chooser-list.h>

## Description

## Functions

### ogmrip_chooser_list_new ()

    GtkWidget *
    ogmrip_chooser_list_new (GType type);

Creates a new OGMRipChooserList.

#### Parameters

type | the type of the children |

#### Returns

The new OGMRipChooserList

### ogmrip_chooser_list_add ()

    void
    ogmrip_chooser_list_add (OGMRipChooserList *list,
                             GtkWidget *chooser);

Adds `chooser` to `list` .

#### Parameters

list | An OGMRipChooserList |
chooser | A chooser to be placed inside `list` |

### ogmrip_chooser_list_remove ()

    void
    ogmrip_chooser_list_remove (OGMRipChooserList *list,
                                GtkWidget *chooser);

Removes `chooser` from `list` .

#### Parameters

list | An OGMRipChooserList |
chooser | Â current child of `list` |

### ogmrip_chooser_list_clear ()

    void
    ogmrip_chooser_list_clear (OGMRipChooserList *list);

Removes all children of `list` .

#### Parameters

list | An OGMRipChooserList |

### ogmrip_chooser_list_foreach ()

    void
    ogmrip_chooser_list_foreach (OGMRipChooserList *list,
                                 OGMRipSourceType type,
                                 GFunc func,
                                 gpointer data);

Invokes `func` on each non-internal `type` child of `list` .

#### Parameters

list | An OGMRipChooserList |
type | The type of the children |
func | A callback |
data | Callback user data |

### ogmrip_chooser_list_length ()

    gint
    ogmrip_chooser_list_length (OGMRipChooserList *list);

Returns the number of valid source choosers contained in `list` .

#### Parameters

list | An OGMRipChooserList |

#### Returns

The number of valid choosers, or -1

### ogmrip_chooser_list_nth ()

    GtkWidget *
    ogmrip_chooser_list_nth (OGMRipChooserList *list,
                             guint n);

Gets the chooser at the given position.

#### Parameters

list | An OGMRipChooserList |
n | the position of the chooser, counting from 0 |

#### Returns

the chooser, or NULL

### ogmrip_chooser_list_set_max ()

    void
    ogmrip_chooser_list_set_max (OGMRipChooserList *list,
                                 guint max);

Creates a new OGMRipChooserList.

#### Parameters

list | An OGMRipChooserList |
max | the maximum number of children |

### ogmrip_chooser_list_get_max ()

    gint
    ogmrip_chooser_list_get_max (OGMRipChooserList *list);

Returns the maximum number of children.

#### Parameters

list | An OGMRipChooserList |

#### Returns

the maximum number of children, or -1

## Types and Values

### OGMRipChooserListPriv

    typedef struct _OGMRipChooserListPriv OGMRipChooserListPriv;

### struct OGMRipChooserList

    struct OGMRipChooserList;

## Signal Details

### The `“more-clicked”` signal

    void
    user_function (OGMRipChooserList   *list,
                   OGMRipSourceChooser *chooser,
                   gpointer             user_data)

Emitted each time a 'more' button is clicked

#### Parameters

list | the widget that received the signal |
chooser | the selected source chooser |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks